Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'git-mergetool--lib.sh')
-rw-r--r--git-mergetool--lib.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/git-mergetool--lib.sh b/git-mergetool--lib.sh
index 7225abd811..e059b3559e 100644
--- a/git-mergetool--lib.sh
+++ b/git-mergetool--lib.sh
@@ -248,6 +248,10 @@ trust_exit_code () {
fi
}
+initialize_merge_tool () {
+ # Bring tool-specific functions into scope
+ setup_tool "$1" || return 1
+}
# Entry point for running tools
run_merge_tool () {
@@ -259,9 +263,6 @@ run_merge_tool () {
merge_tool_path=$(get_merge_tool_path "$1") || exit
base_present="$2"
- # Bring tool-specific functions into scope
- setup_tool "$1" || return 1
-
if merge_mode
then
run_merge_cmd "$1"